%define module Tie-Watch

Summary: Place watchpoints on Perl variables
Name:    perl-%module
Version: 1.2
Release: %mkrel 4
License: GPL or Artistic
Group:   Development/Perl
Source:  %module-%version.tar.bz2
Patch0: Watch.pm.diff
URL:	 http://search.cpan.org/dist/%{module}/
BuildRequires: perl-devel
BuildArch: noarch
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-buildroot

%description
This module binds one or more subroutines of your devising to a Perl variable.
With Tie::Watch one can:
- alter a variable's value
- prevent a variable's value from being changed
- invoke a Perl/Tk callback when a variable changes
- trace references to a variable

%prep
%setup -q -n %module-%version
%patch0 -p0

%build
perl Makefile.PL INSTALLDIRS=vendor
%__make

%check
%__make test

%install
rm -rf $RPM_BUILD_ROOT
%makeinstall_std

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-, root, root)
%doc README
%{_mandir}/*/*
%{perl_vendorlib}/Tie/



%changelog
* Sat Mar 07 2009 Antoine Ginies <aginies@mandriva.com> 1.2-4mdv2009.1
+ Revision: 351711
- rebuild

* Wed Jun 18 2008 Thierry Vignaud <tvignaud@mandriva.com> 1.2-3mdv2009.0
+ Revision: 224555
- rebuild

* Thu Mar 06 2008 Oden Eriksson <oeriksson@mandriva.com> 1.2-2mdv2008.1
+ Revision: 180819
- added P0 (sync wih Tk-804.028)

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

  + Thierry Vignaud <tvignaud@mandriva.com>
    - kill re-definition of %%buildroot on Pixel's request

* Sat May 05 2007 Olivier Thauvin <nanardon@mandriva.org> 1.2-2mdv2008.0
+ Revision: 23300
- rebuild


* Wed Jun 01 2005 Rafael Garcia-Suarez <rgarciasuarez@mandriva.com> 1.2-1mdk
- 1.2
- Change URL

* Mon Dec 08 2003 Thierry Vignaud <tvignaud@mandrakesoft.com> 1.1-1mdk
- initial release

